%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions
%define modname oauth
%define modfullname mod_%{modname}

Summary: php 5.6 OAUTH 1.0 extension
Summary(ko): php 5.6 OAUTH 1.0 확장
Name: php56-pecl-%{modname}
Version: 1.2.3
Release: 2%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modname}-%{version}.tgz
Patch0: oauth-1.2.3-compile-warning.patch
Patch1: oauth-1.2.3-b67658.patch
Patch2: oauth-1.2.3-b67665.patch
Patch3: oauth-1.2.3-b67883.patch
Patch4: oauth-1.2.3-b72006.patch

BuildRoot: /var/tmp/%{name}-root
Requires: php56api
BuildRequires: php56-devel
Provides: php56-%{modname}
Provides: php56-pecl(%{modname}) = %{version}

%description
oauth 1.0 consumer and provider extension

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{cli,fpm}
for i in cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php56.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php56.d/fpm/%{modname}.ini

%changelog
* Fri Dec 16 2016 JoungKyun.Kim <http://oops.org> 1:1.2.3-3%{?dist}
- fixed bug #72006 oauth_problem=parameter_absent with php-fpm on nginx

* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:1.2.3-3%{?dist}
- fixed bug #67658 configure does not detect missing pcre.h
- fixed bug #67665 fetch() throws exception for valid HTTP status code 207
- fixed bug #67883 OAuthProvider misses authorization header on Apache+FastCGI

* Thu Oct  1 2015 JoungKyun.Kim <http://oops.org> 1:1.2.3-2%{?dist}
- fixed segfault

* Sun Jan 26 2014 JoungKyun.Kim <http://oops.org> 1:1.2.3-1%{?dist}
- first packaged

